#41 cofb patch for 0.8.0 colinux with kernel 2.6.26.8

closed-accepted
nobody
None
5
2010-01-17
2010-01-04
Anonymous
No

the patch that makes frame buffer test code work on 0.8.0 colinux 2009115 build with 2.6.26.8 kernel.
The test code is from QT website
http://doc.trolltech.com/4.1/qtopiacore-testingframebuffer.html

Notes, haven't figured out how to make xfbdev work.

Discussion

  • Henry N.

    Henry N. - 2010-01-14

    Please attach your kernel config here.

     
  • sy

    sy - 2010-01-17

    --- ../../../d80/patches-2.6.26.8-20091116-3/conf/linux-2.6.26.8-config 2009-11-16 17:15:08.000000000 -0500
    +++ ../linux-2.6.26.8-build/.config 2009-12-17 11:47:17.000000000 -0500
    @@ -1,7 +1,7 @@
    #
    # Automatically generated make config: don't edit
    # Linux kernel version: 2.6.26.8
    -# Mon Nov 16 22:28:28 2009
    +# Thu Dec 17 11:47:17 2009
    #
    # CONFIG_64BIT is not set
    CONFIG_X86_32=y
    @@ -124,10 +124,10 @@ CONFIG_RT_MUTEXES=y
    # CONFIG_TINY_SHMEM is not set
    CONFIG_BASE_SMALL=0
    CONFIG_MODULES=y
    -# CONFIG_MODULE_FORCE_LOAD is not set
    +CONFIG_MODULE_FORCE_LOAD=y
    CONFIG_MODULE_UNLOAD=y
    CONFIG_MODULE_FORCE_UNLOAD=y
    -CONFIG_MODVERSIONS=y
    +# CONFIG_MODVERSIONS is not set
    # CONFIG_MODULE_SRCVERSION_ALL is not set
    CONFIG_KMOD=y
    CONFIG_BLOCK=y
    @@ -743,7 +743,7 @@ CONFIG_KEYBOARD_ATKBD=y
    # CONFIG_KEYBOARD_NEWTON is not set
    # CONFIG_KEYBOARD_STOWAWAY is not set
    CONFIG_INPUT_MOUSE=y
    -# CONFIG_MOUSE_COOPERATIVE is not set
    +CONFIG_MOUSE_COOPERATIVE=y
    # CONFIG_INPUT_JOYSTICK is not set
    # CONFIG_INPUT_TABLET is not set
    # CONFIG_INPUT_TOUCHSCREEN is not set
    @@ -846,8 +846,64 @@ CONFIG_SSB_POSSIBLE=y
    # CONFIG_DRM is not set
    # CONFIG_VGASTATE is not set
    # CONFIG_VIDEO_OUTPUT_CONTROL is not set
    -# CONFIG_FB is not set
    -# CONFIG_COOPERATIVE_VIDEO is not set
    +CONFIG_FB=y
    +# CONFIG_FIRMWARE_EDID is not set
    +# CONFIG_FB_DDC is not set
    +# CONFIG_FB_CFB_FILLRECT is not set
    +# CONFIG_FB_CFB_COPYAREA is not set
    +# CONFIG_FB_CFB_IMAGEBLIT is not set
    +# CONFIG_FB_CFB_REV_PIXELS_IN_BYTE is not set
    +CONFIG_FB_SYS_FILLRECT=y
    +CONFIG_FB_SYS_COPYAREA=y
    +CONFIG_FB_SYS_IMAGEBLIT=y
    +# CONFIG_FB_FOREIGN_ENDIAN is not set
    +CONFIG_FB_SYS_FOPS=y
    +# CONFIG_FB_SVGALIB is not set
    +# CONFIG_FB_MACMODES is not set
    +# CONFIG_FB_BACKLIGHT is not set
    +# CONFIG_FB_MODE_HELPERS is not set
    +# CONFIG_FB_TILEBLITTING is not set
    +
    +#
    +# Frame buffer hardware drivers
    +#
    +CONFIG_COOPERATIVE_VIDEO=y
    +# CONFIG_FB_CIRRUS is not set
    +# CONFIG_FB_PM2 is not set
    +# CONFIG_FB_CYBER2000 is not set
    +# CONFIG_FB_ARC is not set
    +# CONFIG_FB_ASILIANT is not set
    +# CONFIG_FB_IMSTT is not set
    +# CONFIG_FB_VGA16 is not set
    +# CONFIG_FB_VESA is not set
    +# CONFIG_FB_EFI is not set
    +# CONFIG_FB_N411 is not set
    +# CONFIG_FB_HGA is not set
    +# CONFIG_FB_S1D13XXX is not set
    +# CONFIG_FB_NVIDIA is not set
    +# CONFIG_FB_RIVA is not set
    +# CONFIG_FB_I810 is not set
    +# CONFIG_FB_LE80578 is not set
    +# CONFIG_FB_INTEL is not set
    +# CONFIG_FB_MATROX is not set
    +# CONFIG_FB_RADEON is not set
    +# CONFIG_FB_ATY128 is not set
    +# CONFIG_FB_ATY is not set
    +# CONFIG_FB_S3 is not set
    +# CONFIG_FB_SAVAGE is not set
    +# CONFIG_FB_SIS is not set
    +# CONFIG_FB_NEOMAGIC is not set
    +# CONFIG_FB_KYRO is not set
    +# CONFIG_FB_3DFX is not set
    +# CONFIG_FB_VOODOO1 is not set
    +# CONFIG_FB_VT8623 is not set
    +# CONFIG_FB_CYBLA is not set
    +# CONFIG_FB_TRIDENT is not set
    +# CONFIG_FB_ARK is not set
    +# CONFIG_FB_PM3 is not set
    +# CONFIG_FB_GEODE is not set
    +CONFIG_FB_COFB=y
    +# CONFIG_FB_VIRTUAL is not set
    # CONFIG_BACKLIGHT_LCD_SUPPORT is not set

    #
    @@ -860,6 +916,24 @@ CONFIG_SSB_POSSIBLE=y
    #
    CONFIG_COOPERATIVE_CONSOLE=y
    CONFIG_DUMMY_CONSOLE=y
    +CONFIG_FRAMEBUFFER_CONSOLE=y
    +CONFIG_FRAMEBUFFER_CONSOLE_DETECT_PRIMARY=y
    +# CONFIG_FRAMEBUFFER_CONSOLE_ROTATION is not set
    +CONFIG_FONTS=y
    +CONFIG_FONT_8x8=y
    +CONFIG_FONT_8x16=y
    +# CONFIG_FONT_6x11 is not set
    +# CONFIG_FONT_7x14 is not set
    +# CONFIG_FONT_PEARL_8x8 is not set
    +# CONFIG_FONT_ACORN_8x8 is not set
    +# CONFIG_FONT_MINI_4x6 is not set
    +# CONFIG_FONT_SUN8x16 is not set
    +# CONFIG_FONT_SUN12x22 is not set
    +# CONFIG_FONT_10x18 is not set
    +CONFIG_LOGO=y
    +CONFIG_LOGO_LINUX_MONO=y
    +CONFIG_LOGO_LINUX_VGA16=y
    +CONFIG_LOGO_LINUX_CLUT224=y

    #
    # Sound
    @@ -994,9 +1068,7 @@ CONFIG_UNION_FS_XATTR=y
    CONFIG_COFUSE_FS=y
    # CONFIG_EFS_FS is not set
    # CONFIG_CRAMFS is not set
    -CONFIG_SQUASHFS=m
    -# CONFIG_SQUASHFS_EMBEDDED is not set
    -CONFIG_SQUASHFS_FRAGMENT_CACHE_SIZE=3
    +# CONFIG_SQUASHFS is not set
    # CONFIG_VXFS_FS is not set
    CONFIG_MINIX_FS=m
    # CONFIG_HPFS_FS is not set
    @@ -1273,13 +1345,13 @@ CONFIG_HAVE_KVM=y
    #
    # Library routines
    #
    -CONFIG_BITREVERSE=m
    +CONFIG_BITREVERSE=y
    CONFIG_GENERIC_FIND_FIRST_BIT=y
    CONFIG_GENERIC_FIND_NEXT_BIT=y
    CONFIG_CRC_CCITT=m
    CONFIG_CRC16=m
    CONFIG_CRC_ITU_T=m
    -CONFIG_CRC32=m
    +CONFIG_CRC32=y
    # CONFIG_CRC7 is not set
    CONFIG_LIBCRC32C=m
    CONFIG_AUDIT_GENERIC=y

     
  • sy

    sy - 2010-01-17

    The config includes my test of LZMA + squashfs, so a little bit messy. Also covideo is enabled, as I am not sure it is not needed at the begining.
    patch mouse for mouse will come later, but seems X doesn't interpret the delta position as one to one mapping.
    debian xserver-xorg-video-fbdev package works on this package, use fbdev for screen device in xorg.conf

     
  • Henry N.

    Henry N. - 2010-01-17

    Thanks! The CONFIG_FB... was missing for me.
    Your patch was committed to SVN as revision r1340 under branch name "cofb".

     
  • Henry N.

    Henry N. - 2010-01-17
    • status: open --> closed-accepted
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks